# Rulebook: https://web.archive.org/web/20181120160722/http://www.upapower.com/development/wp-content/uploads/2015/11/official_upa_rulebook-3.pdf
[options]
    require_manual_disambiguation = true
    
[divisions]
    # Untested raw divisions.
    mt1r = {name="MT1R", min=13, max=15, sex="M", equipment=["Raw","Wraps"]}
    ft1r = {name="FT1R", min=13, max=15, sex="F", equipment=["Raw","Wraps"]}
    mt2r = {name="MT2R", min=16, max=17, sex="M", equipment=["Raw","Wraps"]}
    ft2r = {name="FT2R", min=16, max=17, sex="F", equipment=["Raw","Wraps"]}
    mt3r = {name="MT3R", min=18, max=19, sex="M", equipment=["Raw","Wraps"]}
    ft3r = {name="FT3R", min=18, max=19, sex="F", equipment=["Raw","Wraps"]}
    mtxr = {name="MTXR", min=13, max=19, sex="M", equipment=["Raw","Wraps"]}
    ftxr = {name="FTXR", min=13, max=19, sex="F", equipment=["Raw","Wraps"]}
	mtjr = {name="MTJR", min=13, max=23, sex="M", equipment=["Raw","Wraps"]}
	ftjr = {name="FTJR", min=13, max=23, sex="F", equipment=["Raw","Wraps"]}
    mjr = {name="MJR", min=20, max=23, sex="M", equipment=["Raw","Wraps"]}
    fjr = {name="FJR", min=20, max=23, sex="F", equipment=["Raw","Wraps"]}
    mor = {name="MOR", min=0, max=999, sex="M", equipment=["Raw","Wraps"]}
    for = {name="FOR", min=0, max=999, sex="F", equipment=["Raw","Wraps"]}
    msmr = {name="MSR", min=33, max=39, sex="M", equipment=["Raw","Wraps"]}
    fsmr = {name="FSR", min=33, max=39, sex="F", equipment=["Raw","Wraps"]}
    mm1r = {name="MM1R", min=40, max=44, sex="M", equipment=["Raw","Wraps"]}
    fm1r = {name="FM1R", min=40, max=44, sex="F", equipment=["Raw","Wraps"]}
    mm2r = {name="MM2R", min=45, max=49, sex="M", equipment=["Raw","Wraps"]}
    fm2r = {name="FM2R", min=45, max=49, sex="F", equipment=["Raw","Wraps"]}
    mm3r = {name="MM3R", min=50, max=54, sex="M", equipment=["Raw","Wraps"]}
    fm3r = {name="FM3R", min=50, max=54, sex="F", equipment=["Raw","Wraps"]}
    mm4r = {name="MM4R", min=55, max=59, sex="M", equipment=["Raw","Wraps"]}
    fm4r = {name="FM4R", min=55, max=59, sex="F", equipment=["Raw","Wraps"]}
    mm5r = {name="MM5R", min=60, max=64, sex="M", equipment=["Raw","Wraps"]}
    fm5r = {name="FM5R", min=60, max=64, sex="F", equipment=["Raw","Wraps"]}
    mm6r = {name="MM6R", min=65, max=69, sex="M", equipment=["Raw","Wraps"]}
    fm6r = {name="FM6R", min=65, max=69, sex="F", equipment=["Raw","Wraps"]}
    mm7r = {name="MM7R", min=70, max=74, sex="M", equipment=["Raw","Wraps"]}
    fm7r = {name="FM7R", min=70, max=74, sex="F", equipment=["Raw","Wraps"]}
    mm8r = {name="MM8R", min=75, max=79, sex="M", equipment=["Raw","Wraps"]}
    fm8r = {name="FM8R", min=75, max=79, sex="F", equipment=["Raw","Wraps"]}
    mm9r = {name="MM9R", min=80, max=999, sex="M", equipment=["Raw","Wraps"]}
    fm9r = {name="FM9R", min=80, max=999, sex="F", equipment=["Raw","Wraps"]}
    mmxr = {name="MMXR", min=40, max=999, sex="M", equipment=["Raw","Wraps"]}
    fmxr = {name="FMXR", min=40, max=999, sex="F", equipment=["Raw","Wraps"]}

    # Tested raw divisions.
    mt1rad = {name="MT1R-AD", min=13, max=15, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    ft1rad = {name="FT1R-AD", min=13, max=15, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    mt2rad = {name="MT2R-AD", min=16, max=17, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    ft2rad = {name="FT2R-AD", min=16, max=17, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    mt3rad = {name="MT3R-AD", min=18, max=19, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    ft3rad = {name="FT3R-AD", min=18, max=19, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    mtxrad = {name="MTXR-AD", min=13, max=19, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    ftxrad = {name="FTXR-AD", min=13, max=19, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    mjrad = {name="MJR-AD", min=20, max=23, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    fjrad = {name="FJR-AD", min=20, max=23, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    morad = {name="MOR-AD", min=0, max=999, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    forad = {name="FOR-AD", min=0, max=999, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    msmrad = {name="MSR-AD", min=33, max=39, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    fsmrad = {name="FSR-AD", min=33, max=39, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    mm1rad = {name="MM1R-AD", min=40, max=44, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    fm1rad = {name="FM1R-AD", min=40, max=44, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    mm2rad = {name="MM2R-AD", min=45, max=49, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    fm2rad = {name="FM2R-AD", min=45, max=49, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    mm3rad = {name="MM3R-AD", min=50, max=54, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    fm3rad = {name="FM3R-AD", min=50, max=54, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    mm4rad = {name="MM4R-AD", min=55, max=59, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    fm4rad = {name="FM4R-AD", min=55, max=59, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    mm5rad = {name="MM5R-AD", min=60, max=64, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    fm5rad = {name="FM5R-AD", min=60, max=64, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    mm6rad = {name="MM6R-AD", min=65, max=69, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    fm6rad = {name="FM6R-AD", min=65, max=69, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    mm7rad = {name="MM7R-AD", min=70, max=74, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    fm7rad = {name="FM7R-AD", min=70, max=74, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    mm8rad = {name="MM8R-AD", min=75, max=79, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    fm8rad = {name="FM8R-AD", min=75, max=79, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    mm9rad = {name="MM9R-AD", min=80, max=999, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    fm9rad = {name="FM9R-AD", min=80, max=999, sex="F", equipment=["Raw","Wraps"], tested="Yes"}
    mmxrad = {name="MMXR-AD", min=40, max=999, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    fmxrad = {name="FMXR-AD", min=40, max=999, sex="F", equipment=["Raw","Wraps"], tested="Yes"}

    # Untested equipped divisions.
    mt1 = {name="MT1", min=13, max=15, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    ft1 = {name="FT1", min=13, max=15, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    mt2 = {name="MT2", min=16, max=17, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    ft2 = {name="FT2", min=16, max=17, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    mt3 = {name="MT3", min=18, max=19, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    ft3 = {name="FT3", min=18, max=19, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    mtx = {name="MTX", min=13, max=19, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    ftx = {name="FTX", min=13, max=19, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    mj = {name="MJ", min=20, max=23, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    fj = {name="FJ", min=20, max=23, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    mo = {name="MO", min=0, max=999, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    fo = {name="FO", min=0, max=999, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    msm = {name="MS", min=33, max=39, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    fsm = {name="FS", min=33, max=39, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    mm1 = {name="MM1", min=40, max=44, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    fm1 = {name="FM1", min=40, max=44, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    mm2 = {name="MM2", min=45, max=49, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    fm2 = {name="FM2", min=45, max=49, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    mm3 = {name="MM3", min=50, max=54, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    fm3 = {name="FM3", min=50, max=54, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    mm4 = {name="MM4", min=55, max=59, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    fm4 = {name="FM4", min=55, max=59, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    mm5 = {name="MM5", min=60, max=64, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    fm5 = {name="FM5", min=60, max=64, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    mm6 = {name="MM6", min=65, max=69, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    fm6 = {name="FM6", min=65, max=69, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    mm7 = {name="MM7", min=70, max=74, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    fm7 = {name="FM7", min=70, max=74, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    mm8 = {name="MM8", min=75, max=79, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    fm8 = {name="FM8", min=75, max=79, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    mm9 = {name="MM9", min=80, max=999, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    fm9 = {name="FM9", min=80, max=999, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    mmx = {name="MMX", min=40, max=999, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"]}
    fmx = {name="FMX", min=40, max=999, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"]}

    # Tested equipped divisions.
    mt1ad = {name="MT1-AD", min=13, max=15, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    ft1ad = {name="FT1-AD", min=13, max=15, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    mt2ad = {name="MT2-AD", min=16, max=17, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    ft2ad = {name="FT2-AD", min=16, max=17, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    mt3ad = {name="MT3-AD", min=18, max=19, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    ft3ad = {name="FT3-AD", min=18, max=19, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    mtxad = {name="MTX-AD", min=13, max=19, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    ftxad = {name="FTX-AD", min=13, max=19, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    mjad = {name="MJ-AD", min=20, max=23, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    fjad = {name="FJ-AD", min=20, max=23, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    moad = {name="MO-AD", min=0, max=999, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    foad = {name="FO-AD", min=0, max=999, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    msmad = {name="MS-AD", min=33, max=39, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    fsmad = {name="FS-AD", min=33, max=39, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    mm1ad = {name="MM1-AD", min=40, max=44, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    fm1ad = {name="FM1-AD", min=40, max=44, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    mm2ad = {name="MM2-AD", min=45, max=49, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    fm2ad = {name="FM2-AD", min=45, max=49, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    mm3ad = {name="MM3-AD", min=50, max=54, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    fm3ad = {name="FM3-AD", min=50, max=54, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    mm4ad = {name="MM4-AD", min=55, max=59, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    fm4ad = {name="FM4-AD", min=55, max=59, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    mm5ad = {name="MM5-AD", min=60, max=64, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    fm5ad = {name="FM5-AD", min=60, max=64, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    mm6ad = {name="MM6-AD", min=65, max=69, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    fm6ad = {name="FM6-AD", min=65, max=69, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    mm7ad = {name="MM7-AD", min=70, max=74, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    fm7ad = {name="FM7-AD", min=70, max=74, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    mm8ad = {name="MM8-AD", min=75, max=79, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    fm8ad = {name="FM8-AD", min=75, max=79, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    mm9ad = {name="MM9-AD", min=80, max=999, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    fm9ad = {name="FM9-AD", min=80, max=999, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    mmxad = {name="MMX-AD", min=40, max=999, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}
    fmxad = {name="FMX-AD", min=40, max=999, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested="Yes"}

    # Raw Elite divisions disallow wraps. Untested.
    myre  = {name="MYRE", min=0, max=12, sex="M", equipment="Raw"}
    fyre  = {name="FYRE", min=0, max=12, sex="M", equipment="Raw"}
    mt1re = {name="MT1RE", min=13, max=15, sex="M", equipment="Raw"}
    ft1re = {name="FT1RE", min=13, max=15, sex="F", equipment="Raw"}
    mt2re = {name="MT2RE", min=16, max=17, sex="M", equipment="Raw"}
    ft2re = {name="FT2RE", min=16, max=17, sex="F", equipment="Raw"}
    mt3re = {name="MT3RE", min=18, max=19, sex="M", equipment="Raw"}
    ft3re = {name="FT3RE", min=18, max=19, sex="F", equipment="Raw"}
    mtxre = {name="MTXRE", min=13, max=19, sex="M", equipment="Raw"}
    ftxre = {name="FTXRE", min=13, max=19, sex="F", equipment="Raw"}
    mjre = {name="MJRE", min=20, max=23, sex="M", equipment="Raw"}
    fjre = {name="FJRE", min=20, max=23, sex="F", equipment="Raw"}
    more = {name="MORE", min=0, max=999, sex="M", equipment="Raw"}
    fore = {name="FORE", min=0, max=999, sex="F", equipment="Raw"}
    msmre = {name="MSRE", min=33, max=39, sex="M", equipment="Raw"}
    fsmre = {name="FSRE", min=33, max=39, sex="F", equipment="Raw"}
    mm1re = {name="MM1RE", min=40, max=44, sex="M", equipment="Raw"}
    fm1re = {name="FM1RE", min=40, max=44, sex="F", equipment="Raw"}
    mm2re = {name="MM2RE", min=45, max=49, sex="M", equipment="Raw"}
    fm2re = {name="FM2RE", min=45, max=49, sex="F", equipment="Raw"}
    mm3re = {name="MM3RE", min=50, max=54, sex="M", equipment="Raw"}
    fm3re = {name="FM3RE", min=50, max=54, sex="F", equipment="Raw"}
    mm4re = {name="MM4RE", min=55, max=59, sex="M", equipment="Raw"}
    fm4re = {name="FM4RE", min=55, max=59, sex="F", equipment="Raw"}
    mm5re = {name="MM5RE", min=60, max=64, sex="M", equipment="Raw"}
    fm5re = {name="FM5RE", min=60, max=64, sex="F", equipment="Raw"}
    mm6re = {name="MM6RE", min=65, max=69, sex="M", equipment="Raw"}
    fm6re = {name="FM6RE", min=65, max=69, sex="F", equipment="Raw"}
    mm7re = {name="MM7RE", min=70, max=74, sex="M", equipment="Raw"}
    fm7re = {name="FM7RE", min=70, max=74, sex="F", equipment="Raw"}
    mm8re = {name="MM8RE", min=75, max=79, sex="M", equipment="Raw"}
    fm8re = {name="FM8RE", min=75, max=79, sex="F", equipment="Raw"}
    mm9re = {name="MM9RE", min=80, max=999, sex="M", equipment="Raw"}
    fm9re = {name="FM9RE", min=80, max=999, sex="F", equipment="Raw"}
    mmxre = {name="MMXRE", min=40, max=999, sex="M", equipment="Raw"}
    fmxre = {name="FMXRE", min=40, max=999, sex="F", equipment="Raw"}

    # Raw Elite divisions disallow wraps. Tested.
    mt1read = {name="MT1RE-AD", min=13, max=15, sex="M", equipment="Raw", tested="Yes"}
    ft1read = {name="FT1RE-AD", min=13, max=15, sex="F", equipment="Raw", tested="Yes"}
    mt2read = {name="MT2RE-AD", min=16, max=17, sex="M", equipment="Raw", tested="Yes"}
    ft2read = {name="FT2RE-AD", min=16, max=17, sex="F", equipment="Raw", tested="Yes"}
    mt3read = {name="MT3RE-AD", min=18, max=19, sex="M", equipment="Raw", tested="Yes"}
    ft3read = {name="FT3RE-AD", min=18, max=19, sex="F", equipment="Raw", tested="Yes"}
    mtxread = {name="MTXRE-AD", min=18, max=19, sex="M", equipment="Raw", tested="Yes"}
    ftxread = {name="FTXRE-AD", min=18, max=19, sex="F", equipment="Raw", tested="Yes"}
    mjread = {name="MJRE-AD", min=20, max=23, sex="M", equipment="Raw", tested="Yes"}
    fjread = {name="FJRE-AD", min=20, max=23, sex="F", equipment="Raw", tested="Yes"}
    moread = {name="MORE-AD", min=0, max=999, sex="M", equipment="Raw", tested="Yes"}
    foread = {name="FORE-AD", min=0, max=999, sex="F", equipment="Raw", tested="Yes"}
    msmread = {name="MSRE-AD", min=33, max=39, sex="M", equipment="Raw", tested="Yes"}
    fsmread = {name="FSRE-AD", min=33, max=39, sex="F", equipment="Raw", tested="Yes"}
    mm1read = {name="MM1RE-AD", min=40, max=44, sex="M", equipment="Raw", tested="Yes"}
    fm1read = {name="FM1RE-AD", min=40, max=44, sex="F", equipment="Raw", tested="Yes"}
    mm2read = {name="MM2RE-AD", min=45, max=49, sex="M", equipment="Raw", tested="Yes"}
    fm2read = {name="FM2RE-AD", min=45, max=49, sex="F", equipment="Raw", tested="Yes"}
    mm3read = {name="MM3RE-AD", min=50, max=54, sex="M", equipment="Raw", tested="Yes"}
    fm3read = {name="FM3RE-AD", min=50, max=54, sex="F", equipment="Raw", tested="Yes"}
    mm4read = {name="MM4RE-AD", min=55, max=59, sex="M", equipment="Raw", tested="Yes"}
    fm4read = {name="FM4RE-AD", min=55, max=59, sex="F", equipment="Raw", tested="Yes"}
    mm5read = {name="MM5RE-AD", min=60, max=64, sex="M", equipment="Raw", tested="Yes"}
    fm5read = {name="FM5RE-AD", min=60, max=64, sex="F", equipment="Raw", tested="Yes"}
    mm6read = {name="MM6RE-AD", min=65, max=69, sex="M", equipment="Raw", tested="Yes"}
    fm6read = {name="FM6RE-AD", min=65, max=69, sex="F", equipment="Raw", tested="Yes"}
    mm7read = {name="MM7RE-AD", min=70, max=74, sex="M", equipment="Raw", tested="Yes"}
    fm7read = {name="FM7RE-AD", min=70, max=74, sex="F", equipment="Raw", tested="Yes"}
    mm8read = {name="MM8RE-AD", min=75, max=79, sex="M", equipment="Raw", tested="Yes"}
    fm8read = {name="FM8RE-AD", min=75, max=79, sex="F", equipment="Raw", tested="Yes"}
    mm9read = {name="MM9RE-AD", min=80, max=999, sex="M", equipment="Raw", tested="Yes"}
    fm9read = {name="FM9RE-AD", min=80, max=999, sex="F", equipment="Raw", tested="Yes"}
    mmxread = {name="MMXRE-AD", min=40, max=999, sex="M", equipment="Raw", tested="Yes"}
    fmxread = {name="FMXRE-AD", min=40, max=999, sex="F", equipment="Raw", tested="Yes"}

    # Police and Fire divisions.
    mpfr = {name="MPFR", min=0, max=999, sex="M", equipment=["Raw","Wraps"]}
    fpfr = {name="FPFR", min=0, max=999, sex="F", equipment=["Raw","Wraps"]}
    mpfrad = {name="MPFR-AD", min=0, max=999, sex="M", equipment=["Raw","Wraps"], tested="Yes"}
    fpfrad = {name="FPFR-AD", min=0, max=999, sex="M", equipment=["Raw","Wraps"], tested="Yes"}

    # Guest divisions.
    mgr = {name="MGR", min=0, max=999, sex="M", equipment=["Raw","Wraps"], place="G"}
    fgr = {name="FGR", min=0, max=999, sex="F", equipment=["Raw","Wraps"], place="G"}
    mg = {name="MG", min=0, max=999, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], place="G"}
    fg = {name="FG", min=0, max=999, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], place="G"}
    mgad = {name="MG-AD", min=0, max=999, sex="M", equipment=["Single-ply","Multi-ply", "Unlimited"], tested = "Yes", place="G"}
    fgad = {name="FG-AD", min=0, max=999, sex="F", equipment=["Single-ply","Multi-ply", "Unlimited"], tested = "Yes", place="G"}
    mgrad = {name="MGR-AD", min=0, max=999, sex="M", equipment=["Raw","Wraps"], tested = "Yes", place="G"}
    fgrad = {name="FGR-AD", min=0, max=999, sex="F", equipment=["Raw","Wraps"], tested = "Yes", place="G"}

    # Misc divisions
    crossfit = {name="Crossfit", min=0, max=999}
    myr = {name="MYR", min=0, max=12, sex="M"}
    myrad = {name="MYR-AD", min=0, max=12, sex="M", tested="Yes"}
    fyr = {name="FYR", min=0, max=12, sex="F"}
    fyrad = {name="FYR-AD", min=0, max=12, sex="F", tested="Yes"}
    lw = {name="LW", min=0, max=999}
    mw = {name="MW", min=0, max=999}
    hw = {name="HW", min=0, max=999}
    shw = {name="SHW", min=0, max=999}
    specialolympics = {name="Special Olympics", min=0, max=999}

[weightclasses.default_M]
    classes = ["52","56","60","67.5","75","82.5","90","100","110","125","140","140+"]
    date_range = ["1990-01-01", "9999-01-01"]
    sex = "M"

[weightclasses.default_F]
    classes = ["52","56","60","67.5","75","82.5","90","100","110","125","140","140+"]
    date_range = ["2022-01-01", "9999-01-01"]
    sex = "F"

[weightclasses.traditional_F]
    classes = ["44","48","52","56","60","67.5","75","82.5","90","90+"]
    date_range = ["1990-01-01", "2021-12-31"]
    sex = "F"

[exemptions]
    1305 = ["ExemptWeightClassConsistency"] # Lifter missing weightclass.
    1510 = ["ExemptWeightClassConsistency"]
    1512 = ["ExemptWeightClassConsistency"]
    1626 = ["ExemptWeightClassConsistency"]
    1632 = ["ExemptWeightClassConsistency"]
    1706 = ["ExemptWeightClassConsistency"]
    1712 = ["ExemptWeightClassConsistency"]
    1715 = ["ExemptWeightClassConsistency"]
    1716 = ["ExemptWeightClassConsistency"]  # Guest lifters with unrecorded weights.
    1723 = ["ExemptWeightClassConsistency"]
    1815 = ["ExemptWeightClassConsistency"]
    1824 = ["ExemptWeightClassConsistency"]  # Guest lifters with unrecorded weights.
    1828 = ["ExemptWeightClassConsistency"]
    1911 = ["ExemptDivision"] # Such a mess, doesn't seem fixable.
    1923 = ["ExemptWeightClassConsistency"] # Most weightclasses not reported.
    1924 = ["ExemptDivision"] # They allowed teens to compete in the Juniors.
